com.pdfunit.validators

## Class NamedDestinationValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.NamedDestinationValidator

-     @DoNotObfuscate
      public final class NamedDestinationValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator for named destinations in PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NamedDestinationValidator(DocumentValidator documentValidator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NamedDestinationValidator` | `hasNamedDestination()` This method verifies that the current PDF document has any named destination.
    `NamedDestinationValidator` | `withName(java.lang.String expectedDestinationName)` This method checks that the named destinations of the current PDF contain one with the expected name.

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamedDestinationValidator

          protected NamedDestinationValidator(DocumentValidator documentValidator)

  - ### Method Detail

    - #### hasNamedDestination

          public NamedDestinationValidator hasNamedDestination()

      This method verifies that the current PDF document has any named destination.

    - #### withName

          @Guarded
          public NamedDestinationValidator withName(java.lang.String expectedDestinationName)

      This method checks that the named destinations of the current PDF contain one with the expected name.

Copyright (C) PDFUnit.com. See here for license.